#ifndef ELM_MULTIBUTTONENTRY_ITEM_IMPL_HH
#define ELM_MULTIBUTTONENTRY_ITEM_IMPL_HH

#include "elm_multibuttonentry_item.eo.hh"

namespace elm { namespace multibuttonentry { 
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_multibuttonentry_item_selected_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_multibuttonentry_item_selected_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_multibuttonentry_item_prev_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_multibuttonentry_item_next_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace elm { namespace multibuttonentry { 
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_multibuttonentry_item_selected_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_multibuttonentry_item_selected_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_multibuttonentry_item_prev_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_multibuttonentry_item_next_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline elm::multibuttonentry::Item::operator ::elm::multibuttonentry::Item() const { return *static_cast< ::elm::multibuttonentry::Item const*>(static_cast<void const*>(this)); }
inline elm::multibuttonentry::Item::operator ::elm::multibuttonentry::Item&() { return *static_cast< ::elm::multibuttonentry::Item*>(static_cast<void*>(this)); }
inline elm::multibuttonentry::Item::operator ::elm::multibuttonentry::Item const&() const { return *static_cast< ::elm::multibuttonentry::Item const*>(static_cast<void const*>(this)); }
} } }
#endif
